#ifndef LORASETTINGSGUI_H
#define LORASETTINGSGUI_H

#include <QWidget>

class CSettings;

namespace Ui {
class CLoraSettingsGui;
}

class CLoraSettingsGui : public QWidget
{
    Q_OBJECT

public:
    explicit CLoraSettingsGui(QWidget *parent = 0);
    ~CLoraSettingsGui();
    int SetSettings(CSettings* settings);
    QString GetChaletLoraComPort();
    quint8 GetChaletLoraChannel();
    quint16 GetChaletLoraAddress();
    bool GetChaletUseLoraIF();

private:
    Ui::CLoraSettingsGui *ui;
};

#endif // LORASETTINGSGUI_H
